### Method

# EDataBook BookMetaBackend remove_contact_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_book_meta_backend_remove_contact_sync (
      EBookMetaBackend* meta_backend,
      EConflictResolution conflict_resolution,
      const gchar* uid,
      const gchar* extra,
      const gchar* object,
      guint32 opflags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Removes a contact from the remote side. The `object` is not `NULL` when it’s removing locally deleted object in offline mode. Being it `NULL`, the descendant can obtain the object from the `EBookCache`.

It is mandatory to implement this virtual method by the writable descendant.

Available since: 3.26

#### Parameters

`conflict_resolution`

  Type: `EConflictResolution`

  An `EConflictResolution` to use.

`uid`

  Type: `const gchar*`

  A contact UID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`extra`

  Type: `const gchar*`

  Extra data being saved with the contact in the local cache, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`object`

  Type: `const gchar*`

  Corresponding vCard object, as stored in the local cache, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`opflags`

  Type: `guint32`

  Bit-or of `EBookOperationFlags`.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.